%global __provides_exclude_from ^%{_libdir}/tracker-miners-3.0/
%global __requires_exclude ^(libtracker-extract\.so|libtracker-miner-3\.0\.so|libextract-.*\.so|libwriteback-.*\.so)

%global systemd_units tracker-extract-3.service tracker-miner-fs-3.service tracker-miner-fs-control-3.service tracker-writeback-3.service

# changed accordingly to the application for what tracker-miners is bundled
%{!?domain_ontology: %global domain_ontology org.freedesktop}

%global with_enca 0
%global with_libcue 0
%global with_rss 0

Summary:        Tracker miners and metadata extractors
Name:           tracker-miners
Version:        3.5.3
Release:        4%{?dist}
License:        GPLv2+ and LGPLv2+
URL:            https://gnome.pages.gitlab.gnome.org/tracker/
Source0:        https://download.gnome.org/sources/tracker-miners/3.3/tracker-miners-%{version}.tar.xz

BuildRequires:  meson gcc
BuildRequires:  asciidoc giflib-devel systemd-rpm-macros
BuildRequires:  pkgconfig(exempi-2.0) pkgconfig(flac) pkgconfig(gexiv2)
BuildRequires:  pkgconfig(gstreamer-1.0) pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  pkgconfig(gstreamer-tag-1.0) pkgconfig(dbus-1)
BuildRequires:  pkgconfig(icu-i18n) pkgconfig(icu-uc) pkgconfig(libexif)
BuildRequires:  pkgconfig(libgsf-1) pkgconfig(libgxps) pkgconfig(libiptcdata)
BuildRequires:  pkgconfig(libjpeg) pkgconfig(libpng) pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libseccomp) pkgconfig(libxml-2.0) pkgconfig(poppler-glib)
BuildRequires:  pkgconfig(totem-plparser) pkgconfig(vorbisfile)
BuildRequires:  pkgconfig(tracker-sparql-3.0) >= 3.2.0
%if 0%{?with_enca}
BuildRequires:  pkgconfig(enca)
%endif
%if 0%{?with_libcue}
BuildRequires:  pkgconfig(libcue)
%endif
%if 0%{?with_rss}
BuildRequires:  pkgconfig(libgrss)
%endif
%if !0%{?flatpak}
BuildRequires:  pkgconfig(libosinfo-1.0)
BuildRequires:  pkgconfig(libnm)
BuildRequires:  pkgconfig(upower-glib)
%endif
Requires:       tracker >= 3.2.0
Provides:       tracker3-miners = %{version}-%{release}


%description
Tracker is a powerful desktop-neutral first class object database, tag/metadata database and 
search tool.
This package provides various miners and metadata extractors for tracker.


%prep
%autosetup -p1 -n tracker-miners-%{version}


%build
%meson \
  -Dtracker_core=system \
%if 0%{?flatpak}
  -Dwriteback=false \
  -Dsystemd_user_services=false \
  -Diso=disabled \
  -Dnetwork_manager=disabled \
  -Ddomain_prefix=%{domain_ontology} \
%endif
%if ! 0%{?with_libcue}
  -Dcue=disabled \
%endif
%if ! 0%{?with_rss}
  -Dminer_rss=false \
%endif
%if ! 0%{?flatpak}
  -Dsystemd_user_services_dir=%{_userunitdir} \
%endif
  %{nil}

%meson_build


%install
%meson_install

%find_lang tracker3-miners


%post
%systemd_user_post %{systemd_units}

%preun
%systemd_user_preun %{systemd_units}

%postun
%systemd_user_postun_with_restart %{systemd_units}


%files -f tracker3-miners.lang
%license COPYING*
%doc AUTHORS NEWS README.md
%config(noreplace) %{_sysconfdir}/xdg/autostart/tracker-miner-fs-3.desktop
%if 0%{?with_rss}
%config(noreplace) %{_sysconfdir}/xdg/autostart/tracker-miner-rss-3.desktop
%endif
%{_libdir}/tracker-miners-3.0/
%{_libexecdir}/tracker*
%{_datadir}/dbus-1/interfaces/org.freedesktop.Tracker3.Miner.Files.Index.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.Tracker3.Miner.xml
%{_datadir}/dbus-1/services/%{domain_ontology}.Tracker*
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/tracker3-miners/
%if !0%{?flatpak}
%{_userunitdir}/tracker*.service
%endif
%if 0%{?flatpak}
%{_datadir}/tracker3/domain-ontologies/%{domain_ontology}.domain.rule
%endif
%{_mandir}/man1/tracker*.1*


%changelog
* Mon Dec 23 2024 Rebuild Robot <rebot@opencloudos.org> - 3.5.3-4
- [Type] other
- [DESC] Rebuilt for icu

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5.3-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5.3-2
- Rebuilt for loongarch release

* Fri Nov 10 2023 Fanjun Kong <fanjunkong@tencent.com> - 3.5.3-1
- Upgrade to 3.5.3-1 for fixing CVE-2023-5557

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5.2-7
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 23 2023 rockerzhu <rockerzhu@tencent.com> - 3.5.2-6
- Rebuilt for icu 73.2

* Mon Aug 21 2023 Shuo Wang <abushwang@tencent.com> - 3.5.2-5
- Rebuilt for poppler 23.08.0

* Fri Aug 18 2023 Shuo Wang <abushwang@tencent.com> - 3.5.2-4
- remove unused tracker-miner-rss-3.service in %post / %preun / %postun

* Fri Aug 18 2023 cunshunxia <cunshunxia@tencent.com> - 3.5.2-3
- Rebuilt for upower 1.90.2

* Thu Aug 17 2023 kianli@tencent.com - 3.5.2-2
- Rebuilt for flac 1.4.3

* Thu Aug 17 2023 Shuo Wang <abushwang@tencent.com> - 3.5.2-1
- update to 3.5.2

* Wed Aug 02 2023 kianli <kianli@tencent.com> - 3.3.0-5
- Rebuilt for libtiff 4.5.1

* Mon Jul 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 3.3.0-4
- Rebuilt for gstreamer1-plugins-base 1.22.4

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 21 2022 Wang Guodong <gordonwwang@tencent.com> - 3.3.0-1
- package init.
